Debian Bug report logs - #591330
live-snapshot fails to sync at reboot/shotdown

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Luigi Capriotti <l.capriotti@xbmc.org>

Date: Mon, 2 Aug 2010 08:45:01 UTC

Severity: serious

Fixed in versions live-boot/2.0.5-1, live-boot/3.0~a6-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#591330; Package live-boot. (Mon, 02 Aug 2010 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luigi Capriotti <l.capriotti@xbmc.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 02 Aug 2010 08:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luigi Capriotti <l.capriotti@xbmc.org>
To: submit@bugs.debian.org
Subject: live-snapshot fails to sync at reboot/shotdown
Date: Mon, 02 Aug 2010 10:45:21 +0200
Package: live-boot
  Version: 2.0~a16-1

Use of live-snapshot is currently broken due to an inconsistency in 
parsing snapshot information stored in /etc/live.conf.

snapshot info stored with:

http://live.debian.net/gitweb?p=live-boot.git;a=blob;f=scripts/live;h=a17eb423fca132f0aaf03c8ca6f956766eaef797;hb=HEAD#l1052

and parsed with:

http://live.debian.net/gitweb?p=live-boot.git;a=blob;f=bin/live-snapshot;h=08e5fd654adf08609dc9d7a411da83fc58b3f3a1;hb=HEAD#l245

Similarly on debian-old-1.0:

http://live.debian.net/gitweb?p=live-boot.git;a=blob;f=scripts/live;h=cbec764a9ceeb73f0e6875f5efd54e4ed4bf5cc6;hb=refs/heads/debian-old-1.0#l1176

vs

http://live.debian.net/gitweb?p=live-boot.git;a=blob;f=bin/live-snapshot;h=55673bbb5ef2f5ab3a7512064e0f6d7b8e4d2940;hb=debian-old-1.0#l241






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#591330; Package live-boot. (Mon, 02 Aug 2010 09:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 02 Aug 2010 09:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 591330@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: Luigi Capriotti <l.capriotti@xbmc.org>, 591330@bugs.debian.org
Subject: Re: Bug#591330: live-snapshot fails to sync at reboot/shotdown
Date: Mon, 2 Aug 2010 10:58:27 +0200
In data lunedì 2 agosto 2010 10:45:21, Luigi Capriotti ha scritto:

I'll paste relevant lines there for convenience:

> http://live.debian.net/gitweb?p=live-boot.git;a=blob;f=scripts/live;h=a17eb
> 423fca132f0aaf03c8ca6f956766eaef797;hb=HEAD#l1052

echo "export ${snap_type}SNAP="/cow${snap_mount#$rootmnt}":${snapdev}:
${snapfile}" >> /etc/live.conf # for resync on reboot/halt

where snap_type is 

> and parsed with:
 
> http://live.debian.net/gitweb?p=live-boot.git;a=blob;f=bin/live-snapshot;h=
> 08e5fd654adf08609dc9d7a411da83fc58b3f3a1;hb=HEAD#l245

SNAP_COW=$(echo "${SNAP_RESYNC_STRING}" | sed -e 's|
^/root\([^:.]*\).*$|'"${DEF_SNAP_COW}"'\1|')
SNAP_DEV=$(echo "${SNAP_RESYNC_STRING}" | cut -f2 -d ':')
SNAP_MNT=$(echo "${SNAP_RESYNC_STRING}" | cut -f3 -d ':')

${snap_mount#$rootmnt} should then be either "/root/" or "/root/home"


-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Severity set to 'serious' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 02:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#591330; Package live-boot. (Mon, 13 Sep 2010 17:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 13 Sep 2010 17:24:06 GMT) Full text and rfc822 format available.


Message #17 received at 591330@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 591330@bugs.debian.org, control@bugs.debian.org
Date: Mon, 13 Sep 2010 19:21:38 +0200
tag 591330 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 17:24:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 14 Sep 2010 07:06:09 GMT) Full text and rfc822 format available.

Notification sent to Luigi Capriotti <l.capriotti@xbmc.org>:
Bug acknowledged by developer. (Tue, 14 Sep 2010 07:06:09 GMT) Full text and rfc822 format available.

Message #24 received at 591330-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 591330-close@bugs.debian.org
Subject: Bug#591330: fixed in live-boot 2.0.5-1
Date: Tue, 14 Sep 2010 07:04:10 +0000
Source: live-boot
Source-Version: 2.0.5-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_2.0.5-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_2.0.5-1_all.deb
live-boot_2.0.5-1.diff.gz
  to main/l/live-boot/live-boot_2.0.5-1.diff.gz
live-boot_2.0.5-1.dsc
  to main/l/live-boot/live-boot_2.0.5-1.dsc
live-boot_2.0.5-1_all.deb
  to main/l/live-boot/live-boot_2.0.5-1_all.deb
live-boot_2.0.5.orig.tar.gz
  to main/l/live-boot/live-boot_2.0.5.orig.tar.gz
live-initramfs_2.0.5-1_all.deb
  to main/l/live-boot/live-initramfs_2.0.5-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591330@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Sep 2010 08:55:02 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools live-initramfs
Architecture: source all
Version: 2.0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
 live-initramfs - Debian Live - System Boot Scripts (transitional package)
Closes: 591330
Changes: 
 live-boot (2.0.5-1) unstable; urgency=low
 .
   [ Marco Amadori ]
   * Fix snapshots' sync-strings usage (Closes: #591330).
   * Fixed some snapshot related debug messages.
   * Added support for empty (initial) snapshots.
 .
   [ Daniel Baumann ]
   * Adding patch from Colin Watson <cjwatson@ubuntu.com> to follow
     symlinks when checking for dynamically linked files at reboot in
     initscript.
Checksums-Sha1: 
 60422b2d007eb461bb7ae3a8214721d2e080f191 1232 live-boot_2.0.5-1.dsc
 88477300a1bde7818de2a6b9d4840861c2913a56 106152 live-boot_2.0.5.orig.tar.gz
 cc85c6c49061da933651948d620f2ecf9f7a3bec 17485 live-boot_2.0.5-1.diff.gz
 ad8d2099a945dc6066ce11399631ef3e694057ef 75338 live-boot_2.0.5-1_all.deb
 06b326ccfa4fbf1fa89501cf2c05a87640320214 28796 live-boot-initramfs-tools_2.0.5-1_all.deb
 618ba90bc4cc5172f229d268d1cdcc69aaf6a492 4486 live-initramfs_2.0.5-1_all.deb
Checksums-Sha256: 
 209ff2fa405bf04555c9b39dc68fee20b08e9c8bf396f98b4f67f346b5878358 1232 live-boot_2.0.5-1.dsc
 ed8be375cf418c7fde4a910e43a87ba002cec8dcf9f4a01c97605014675c7422 106152 live-boot_2.0.5.orig.tar.gz
 86602d8984ad31e00f276aa71a6b308f27721e9baeb256ff251038bf206e1b26 17485 live-boot_2.0.5-1.diff.gz
 a9e0b190aaa0c446c82dae5c3cc9a25f457baa1b6a475c6bc1e2072e4ed600f9 75338 live-boot_2.0.5-1_all.deb
 15e28708616b8bf2d4f767b0abad11ab020cf520e7f58f479699aeb5d1ecd226 28796 live-boot-initramfs-tools_2.0.5-1_all.deb
 5ec6993292305e5e68e85bf708a731607b9878005a055d0f76a39dd1c5e233ba 4486 live-initramfs_2.0.5-1_all.deb
Files: 
 8871ec69dff35ad68951524d0cdc1292 1232 misc optional live-boot_2.0.5-1.dsc
 d699ae33879cc4020f94eb340879130f 106152 misc optional live-boot_2.0.5.orig.tar.gz
 605938c96762b66ec80fa06dc353da30 17485 misc optional live-boot_2.0.5-1.diff.gz
 1520d71ffd2f8f210e73aee7ac45ea41 75338 misc optional live-boot_2.0.5-1_all.deb
 c46f43b306d762a7de8753a59e4fc3ff 28796 misc optional live-boot-initramfs-tools_2.0.5-1_all.deb
 cfbcfc9800f46ce2cbaf908f2cbdc5f1 4486 misc optional live-initramfs_2.0.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyPHR8ACgkQ+C5cwEsrK56ecwCdGTiEGxL9PhTiMTfSkIAq8/AQ
blwAnjCNJxYR97BnlO8V8tOUEIX2YmIw
=kjVC
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 14 Sep 2010 07:06:11 GMT) Full text and rfc822 format available.

Notification sent to Luigi Capriotti <l.capriotti@xbmc.org>:
Bug acknowledged by developer. (Tue, 14 Sep 2010 07:06:11 GMT) Full text and rfc822 format available.

Message #29 received at 591330-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 591330-close@bugs.debian.org
Subject: Bug#591330: fixed in live-boot 3.0~a6-1
Date: Tue, 14 Sep 2010 07:04:21 +0000
Source: live-boot
Source-Version: 3.0~a6-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_3.0~a6-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a6-1_all.deb
live-boot_3.0~a6-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a6-1.debian.tar.gz
live-boot_3.0~a6-1.dsc
  to main/l/live-boot/live-boot_3.0~a6-1.dsc
live-boot_3.0~a6-1_all.deb
  to main/l/live-boot/live-boot_3.0~a6-1_all.deb
live-boot_3.0~a6.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591330@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Sep 2010 08:51:59 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a6-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 591330
Changes: 
 live-boot (3.0~a6-1) experimental; urgency=low
 .
   [ Marco Amadori ]
   * Fix snapshots' sync-strings usage (Closes: #591330).
   * Fixed some snapshot related debug messages.
   * Added support for empty (initial) snapshots.
 .
   [ Daniel Baumann ]
   * Adding patch from Colin Watson <cjwatson@ubuntu.com> to follow
     symlinks when checking for dynamically linked files at reboot in
     initscript.
Checksums-Sha1: 
 4eb54183dcfc876de7ea3cce63ffc6ab0229066a 1249 live-boot_3.0~a6-1.dsc
 349b3c18c322e3ab019470d2a6ba7a911697f6e3 104128 live-boot_3.0~a6.orig.tar.gz
 c9f1a8b28970763cded8e57929ef5a1e57f0005b 17934 live-boot_3.0~a6-1.debian.tar.gz
 339991cc8e0768bbf947d10d921e0feef85f4974 74684 live-boot_3.0~a6-1_all.deb
 795b1cbfbb2c41b1c9054d2677c4b7e3df8c7f9d 29284 live-boot-initramfs-tools_3.0~a6-1_all.deb
Checksums-Sha256: 
 8ae96359f0ef093d9cbcb948a2c68520d64784aacfa891cf4a03db592b0e4064 1249 live-boot_3.0~a6-1.dsc
 6987261bc2da4e1ea757584651ac4860616406f2a2e92534f7eed701d5eeabd2 104128 live-boot_3.0~a6.orig.tar.gz
 3693752e76a0f62500a564bfe05f963f4e64c13977f2054c1e70ceaa8ee4cad5 17934 live-boot_3.0~a6-1.debian.tar.gz
 42d6602888b3d81cedace3df423339762f68a8c23ea461d57203510e6d6d1625 74684 live-boot_3.0~a6-1_all.deb
 fc5ec29d97ff7fb237696d72188cd93d3aa4f9f7b582208e7ec3f5a9ae4bfc2c 29284 live-boot-initramfs-tools_3.0~a6-1_all.deb
Files: 
 bacb4715ffbd5033337e733b50e8e468 1249 misc optional live-boot_3.0~a6-1.dsc
 fe657e9d43f10f237cf67b5a0fc07dbf 104128 misc optional live-boot_3.0~a6.orig.tar.gz
 a0fa212f66f19edd0f4ed07a5dab4571 17934 misc optional live-boot_3.0~a6-1.debian.tar.gz
 a0a32b6fed2e90555f7834d9e2907122 74684 misc optional live-boot_3.0~a6-1_all.deb
 3151edcce35e862abd96a6d20ee002a4 29284 misc optional live-boot-initramfs-tools_3.0~a6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyPHDwACgkQ+C5cwEsrK55kPwCeJ2PI8aHUr5KM4+sK3Q/pTiih
BywAoNXeAN71GK0y2nAc0GN7mOhjkLes
=liCL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Oct 2010 07:31:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:49:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.